# FoundationClasses
TKernel
NCollection

# NCollection_BaseVector::Iterator Class Reference

`#include <NCollection_BaseVector.hxx>`

Inheritance diagram for NCollection_BaseVector::Iterator:

[legend]

## Protected Member Functions

| Iterator ()
| Iterator (const NCollection_BaseVector &theVector)
| Iterator (const Iterator &theVector)
Standard_EXPORT void | InitV (const NCollection_BaseVector &theVector)
Standard_EXPORT void | CopyV (const Iterator &)
Standard_Boolean | MoreV () const
void | NextV ()
const MemBlock * | CurBlockV () const

## Protected Attributes

const NCollection_BaseVector * | myVector
size_t | myICurBlock
size_t | myIEndBlock
size_t | myCurIndex
size_t | myEndIndex

## Constructor & Destructor Documentation

NCollection_BaseVector::Iterator::Iterator | ( | void |  | ) | `[inline, protected]`

| Reimplemented in NCollection_Vector< TheItemType >::Iterator.

NCollection_BaseVector::Iterator::Iterator | ( | const NCollection_BaseVector & | theVector | ) | `[inline, protected]`

NCollection_BaseVector::Iterator::Iterator | ( | const Iterator & | theVector | ) | `[inline, protected]`

| Reimplemented in NCollection_Vector< TheItemType >::Iterator.

## Member Function Documentation

Standard_EXPORT void NCollection_BaseVector::Iterator::CopyV | ( | const Iterator & |  | ) | `[protected]`

const MemBlock* NCollection_BaseVector::Iterator::CurBlockV | ( |  | ) | const`[inline, protected]`

Standard_EXPORT void NCollection_BaseVector::Iterator::InitV | ( | const NCollection_BaseVector & | theVector | ) | `[protected]`

Standard_Boolean NCollection_BaseVector::Iterator::MoreV | ( |  | ) | const`[inline, protected]`

void NCollection_BaseVector::Iterator::NextV | ( |  | ) | `[inline, protected]`

## Field Documentation

size_t NCollection_BaseVector::Iterator::myCurIndex `[protected]`

size_t NCollection_BaseVector::Iterator::myEndIndex `[protected]`

size_t NCollection_BaseVector::Iterator::myICurBlock `[protected]`

size_t NCollection_BaseVector::Iterator::myIEndBlock `[protected]`

const NCollection_BaseVector* NCollection_BaseVector::Iterator::myVector `[protected]`

The documentation for this class was generated from the following file:

- NCollection_BaseVector.hxx